#include <efi.h>
#include <efigpt.h>
#include <efilib.h>

#include "ukiboot-efi.h"

VOID
log(CHAR16 *fmt, ...)
{
    va_list args;
    _cleanup_free CHAR16 *tmp = NULL;

    va_start(args, fmt);
    tmp = VPoolPrint(fmt, args);
    va_end(args);
    if (tmp == NULL) {
	Print(L"fwupdate: Allocation for debug log failed!\n");
	return;
    }

    Print(L"%s\n", tmp);
}
